GAMEFormat (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.GAMEFormat class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io
Class GAMEFormat

    java.lang.Object
      org.biojava.bio.seq.io.GAMEFormat

All Implemented Interfaces:
  SequenceFormat

    public class GAMEFormat

extends Object
implements SequenceFormat

A rudimentary read-only GAME 1.2 Format object.

Author:
  David Huen

Field Summary
`static String` | `DEFAULT`

Constructor Summary
`GAMEFormat()`

Method Summary
`String` | `getDefaultFormat()` Deprecated.
`boolean` | `readSequence(BufferedReader reader, SymbolTokenization symParser, SeqIOListener listener)` this version only reads annotations (no symbols)
`void` | `writeSequence(Sequence seq, PrintStream os)` `writeSequence` writes a sequence to the specified PrintStream, using the default format.
`void` | `writeSequence(Sequence seq, String format, PrintStream os)` `writeSequence` writes a sequence to the specified `PrintStream`, using the specified format.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final String DEFAULT

See Also:
  Constant Field Values

Constructor Detail

### GAMEFormat

    public GAMEFormat()

Method Detail

### readSequence

    public boolean readSequence(BufferedReader reader,
                                SymbolTokenization symParser,
                                SeqIOListener listener)
                         throws IOException

  this version only reads annotations (no symbols)

  Specified by:
    `readSequence` in interface `SequenceFormat`
  Parameters:
    `reader` - The stream of data to parse.
    `symParser` - A SymbolParser defining a mapping from character data to Symbols.
    `listener` - A listener to notify when data is extracted from the stream.
  Returns:
    a boolean indicating whether or not the stream contains any more sequences.
  Throws:
    `IOException` - if an error occurs while reading from the stream.

### writeSequence

    public void writeSequence(Sequence seq,
                              PrintStream os)

  Description copied from interface: `SequenceFormat`
  `writeSequence` writes a sequence to the specified PrintStream, using the default format.

  Specified by:
    `writeSequence` in interface `SequenceFormat`
  Parameters:
    `seq` - the sequence to write out.
    `os` - the printstream to write to.

### writeSequence

    public void writeSequence(Sequence seq,
                              String format,
                              PrintStream os)

  Description copied from interface: `SequenceFormat`
  `writeSequence` writes a sequence to the specified `PrintStream`, using the specified format.

  Specified by:
    `writeSequence` in interface `SequenceFormat`
  Parameters:
    `seq` - a `Sequence` to write out.
    `format` - a `String` indicating which sub-format of those available from a particular `SequenceFormat` implemention to use when writing.
    `os` - a `PrintStream` object.

### getDefaultFormat

    public String getDefaultFormat()

  Deprecated.

  `getDefaultFormat` returns the String identifier for the default format.

  Specified by:
    `getDefaultFormat` in interface `SequenceFormat`
  Returns:
    a `String`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD